Game Develop C++ Platform: RuntimeSceneTools.cpp File Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
RuntimeSceneTools.cpp File Reference
`#include "GDCore/Tools/Log.h"`
`#include "GDCpp/BuiltinExtensions/RuntimeSceneTools.h"`
`#include "GDCpp/RuntimeScene.h"`
`#include "GDCpp/BuiltinExtensions/CommonInstructionsTools.h"`
`#include "GDCpp/RuntimeObject.h"`
`#include "GDCpp/RuntimeLayer.h"`
`#include "GDCpp/ImageManager.h"`
`#include "GDCpp/CppPlatform.h"`
`#include "GDCpp/ObjectHelpers.h"`
`#include "GDCpp/RuntimeGame.h"`
`#include "GDCpp/profile.h"`
`#include "GDCpp/CommonTools.h"`
`#include "GDCpp/Variable.h"`
`#include "GDCpp/Text.h"`

## Functions

bool GD_API | LayerVisible (RuntimeScene &scene, const std::string &layer)
void GD_API | ShowLayer (RuntimeScene &scene, const std::string &layer)
void GD_API | HideLayer (RuntimeScene &scene, const std::string &layer)
void GD_API | ChangeSceneBackground (RuntimeScene &scene, std::string newColor)
void GD_API | StopGame (RuntimeScene &scene)
void GD_API | ChangeScene (RuntimeScene &scene, std::string newSceneName)
bool GD_API | SceneJustBegins (RuntimeScene &scene)
void GD_API | MoveObjects (RuntimeScene &scene)
void GD_API | CreateObjectOnScene (RuntimeScene &scene, std::map< std::string, std::vector< RuntimeObject * > * > pickedObjectLists, float positionX, float positionY, const std::string &layer)
void GD_API | CreateObjectFromGroupOnScene (RuntimeScene &scene, std::map< std::string, std::vector< RuntimeObject * > * > pickedObjectLists, const std::string &objectWanted, float positionX, float positionY, const std::string &layer)
bool GD_API | PickAllObjects (RuntimeScene &scene, std::map< std::string, std::vector< RuntimeObject * > * > pickedObjectLists)
bool GD_API | PickRandomObject (RuntimeScene &scene, std::map< std::string, std::vector< RuntimeObject * > * > pickedObjectLists)
bool GD_API | SceneVariableExists (RuntimeScene &scene, const std::string &variable)
bool GD_API | GlobalVariableExists (RuntimeScene &scene, const std::string &variable)
gd::Variable &GD_API | ReturnVariable (gd::Variable &variable)
bool GD_API | VariableChildExists (const gd::Variable &variable, const std::string &childName)
void GD_API | VariableRemoveChild (gd::Variable &variable, const std::string &childName)
double GD_API | GetVariableValue (const gd::Variable &variable)
const std::string &GD_API | GetVariableString (const gd::Variable &variable)
void GD_API | SetWindowIcon (RuntimeScene &scene, const std::string &imageName)
void GD_API | SetWindowTitle (RuntimeScene &scene, const std::string &newName)
const std::string &GD_API | GetWindowTitle (RuntimeScene &scene)
void GD_API | SetWindowSize (RuntimeScene &scene, int windowWidth, int windowHeight, bool useTheNewSizeForCameraDefaultSize)
void GD_API | SetFullScreen (RuntimeScene &scene, bool fullscreen)
unsigned int GD_API | GetSceneWindowWidth (RuntimeScene &scene)
unsigned int GD_API | GetSceneWindowHeight (RuntimeScene &scene)
unsigned int GD_API | GetScreenWidth ()
unsigned int GD_API | GetScreenHeight ()
unsigned int GD_API | GetScreenColorDepth ()
void GD_API | DisplayLegacyTextOnScene (RuntimeScene &scene, const std::string &str, float x, float y, const std::string &color, float characterSize, const std::string &fontName, const std::string &layer)
void GD_API | DisableInputWhenFocusIsLost (RuntimeScene &scene, bool disable)

## Detailed Description

Game Develop 2008-2014 Florian Rival (Flori.nosp@m.an.R.nosp@m.ival@.nosp@m.gmai.nosp@m.l.com)

## Function Documentation

void GD_API ChangeScene | ( | RuntimeScene & | scene,
|  | std::string | newSceneName
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API ChangeSceneBackground | ( | RuntimeScene & | scene,
|  | std::string | newColor
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API CreateObjectFromGroupOnScene | ( | RuntimeScene & | scene,
|  | std::map< std::string, std::vector< RuntimeObject * > * > | pickedObjectLists,
|  | const std::string & | objectWanted,
|  | float | positionX,
|  | float | positionY,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

void GD_API CreateObjectOnScene | ( | RuntimeScene & | scene,
|  | std::map< std::string, std::vector< RuntimeObject * > * > | pickedObjectLists,
|  | float | positionX,
|  | float | positionY,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

void GD_API DisableInputWhenFocusIsLost | ( | RuntimeScene & | scene,
|  | bool | disable
| ) |  |

Only used internally by GD events generated code.

void GD_API DisplayLegacyTextOnScene | ( | RuntimeScene & | scene,
|  | const std::string & | str,
|  | float | x,
|  | float | y,
|  | const std::string & | color,
|  | float | characterSize,
|  | const std::string & | fontName,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

unsigned int GD_API GetSceneWindowHeight | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

unsigned int GD_API GetSceneWindowWidth | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

unsigned int GD_API GetScreenColorDepth | ( | ) |  |

Only used internally by GD events generated code.

unsigned int GD_API GetScreenHeight | ( | ) |  |

Only used internally by GD events generated code.

unsigned int GD_API GetScreenWidth | ( | ) |  |

Only used internally by GD events generated code.

const std::string& GD_API GetVariableString | ( | const gd::Variable & | variable) |  |

Only used internally by GD events generated code.

double GD_API GetVariableValue | ( | const gd::Variable & | variable) |  |

Only used internally by GD events generated code.

const std::string& GD_API GetWindowTitle | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

void GD_API HideLayer | ( | RuntimeScene & | scene,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

bool GD_API LayerVisible | ( | RuntimeScene & | scene,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

void GD_API MoveObjects | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

bool GD_API PickAllObjects | ( | RuntimeScene & | scene,
|  | std::map< std::string, std::vector< RuntimeObject * > * > | pickedObjectLists
| ) |  |

Only used internally by GD events generated code.

Returns
  true ( always )

Here is the call graph for this function:

bool GD_API PickRandomObject | ( | RuntimeScene & | scene,
|  | std::map< std::string, std::vector< RuntimeObject * > * > | pickedObjectLists
| ) |  |

Only used internally by GD events generated code.

Returns
  true ( always )

gd::Variable& GD_API ReturnVariable | ( | gd::Variable & | variable) |  |

Only used internally by GD events generated code.

bool GD_API SceneJustBegins | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API SetFullScreen | ( | RuntimeScene & | scene,
|  | bool | fullscreen
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API SetWindowIcon | ( | RuntimeScene & | scene,
|  | const std::string & | imageName
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API SetWindowSize | ( | RuntimeScene & | scene,
|  | int | width,
|  | int | height,
|  | bool | useTheNewSizeForCameraDefaultSize
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API SetWindowTitle | ( | RuntimeScene & | scene,
|  | const std::string & | newName
| ) |  |

Only used internally by GD events generated code.

void GD_API ShowLayer | ( | RuntimeScene & | scene,
|  | const std::string & | layer
| ) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

void GD_API StopGame | ( | RuntimeScene & | scene) |  |

Only used internally by GD events generated code.

Here is the call graph for this function:

bool GD_API VariableChildExists | ( | const gd::Variable & | variable,
|  | const std::string & | childName
| ) |  |

Only used internally by GD events generated code.

void GD_API VariableRemoveChild | ( | gd::Variable & | variable,
|  | const std::string & | childName
| ) |  |

Only used internally by GD events generated code.